/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License;
 * you may not use this file except in compliance with the Elastic License.
 */

package org.elasticsearch.xpack.runtimefields;

import org.elasticsearch.painless.spi.PainlessExtension;
import org.elasticsearch.painless.spi.Whitelist;
import org.elasticsearch.script.ScriptContext;

import java.util.List;
import java.util.Map;

public class RuntimeFieldsPainlessExtension implements PainlessExtension {
    @Override
    public Map<ScriptContext<?>, List<Whitelist>> getContextWhitelists() {
        return org.elasticsearch.common.collect.Map.of(
            BooleanScriptFieldScript.CONTEXT,
            BooleanScriptFieldScript.whitelist(),
            DateScriptFieldScript.CONTEXT,
            DateScriptFieldScript.whitelist(),
            DoubleScriptFieldScript.CONTEXT,
            DoubleScriptFieldScript.whitelist(),
            IpScriptFieldScript.CONTEXT,
            IpScriptFieldScript.whitelist(),
            LongScriptFieldScript.CONTEXT,
            LongScriptFieldScript.whitelist(),
            StringScriptFieldScript.CONTEXT,
            StringScriptFieldScript.whitelist()
        );
    }
}
